interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63.json
  response:
    body:
      string: !!binary |
[encoded data, 12240 characters]
        mH77f6pR83P3/wAA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8220']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:57 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjg1r0.2.1505364057206.Z0FBQUFBQlp1Z2habkxjQzVIdVdiZTVsVkJOSmVkN2NROUNWZDN4OUZOdTgtUWNEMFVleFdiUjFIdWdxWG5kM2I3eVA1X01vdndVb1VmUWFvR0NqVS1Mc2txNXV4Zy1Fd00tblp2VTlVcmRob3ZmYXF1M18ya3BNcjhXUkFmS0lfTU01aVFNd19GR3Y;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:57
          GMT; secure', 'session_tracker=HnHIXADzltQfmFHxJ8.0.1505364057202.Z0FBQUFBQlp1Z2haYi1VV3JHYmJyR0RieFlVaTBjaHpQZkFSVVZJN2lRRXNKVm04ZjYyeFg1SHRWWEFGaXRZaXNPQXpsaml4bklLQWsxLW9TVWNYNjh3VVdac2xCNGdnX2k0R2xyOG8zckUxUWp3bXdPenNDNjlaOEp2TmxBUTNkQ1N5LVRvX054dGY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:57
          GMT; secure', edgebucket=tMCxRkkquKLbjLkK0O; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364057.172722,VS0,VE274']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjg1r0.2.1505364057206.Z0FBQUFBQlp1Z2habkxjQzVIdVdiZTVsVkJOSmVkN2NROUNWZDN4OUZOdTgtUWNEMFVleFdiUjFIdWdxWG5kM2I3eVA1X01vdndVb1VmUWFvR0NqVS1Mc2txNXV4Zy1Fd00tblp2VTlVcmRob3ZmYXF1M18ya3BNcjhXUkFmS0lfTU01aVFNd19GR3Y;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:57
          GMT; secure', 'session_tracker=HnHIXADzltQfmFHxJ8.0.1505364057202.Z0FBQUFBQlp1Z2haYi1VV3JHYmJyR0RieFlVaTBjaHpQZkFSVVZJN2lRRXNKVm04ZjYyeFg1SHRWWEFGaXRZaXNPQXpsaml4bklLQWsxLW9TVWNYNjh3VVdac2xCNGdnX2k0R2xyOG8zckUxUWp3bXdPenNDNjlaOEp2TmxBUTNkQ1N5LVRvX054dGY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:57
          GMT; secure', edgebucket=tMCxRkkquKLbjLkK0O; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=iHCJ0UR%2B5xvqQnkv7zsjtLODT9LJUO9a9nM6zVKWrA1u29BwDEiu4GYHpsh8z3ADGbGX7p7eKdo%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=tMCxRkkquKLbjLkK0O; loid=00000000000drjg1r0.2.1505364057206.Z0FBQUFBQlp1Z2habkxjQzVIdVdiZTVsVkJOSmVkN2NROUNWZDN4OUZOdTgtUWNEMFVleFdiUjFIdWdxWG5kM2I3eVA1X01vdndVb1VmUWFvR0NqVS1Mc2txNXV4Zy1Fd00tblp2VTlVcmRob3ZmYXF1M18ya3BNcjhXUkFmS0lfTU01aVFNd19GR3Y;
          session_tracker=HnHIXADzltQfmFHxJ8.0.1505364057202.Z0FBQUFBQlp1Z2haYi1VV3JHYmJyR0RieFlVaTBjaHpQZkFSVVZJN2lRRXNKVm04ZjYyeFg1SHRWWEFGaXRZaXNPQXpsaml4bklLQWsxLW9TVWNYNjh3VVdac2xCNGdnX2k0R2xyOG8zckUxUWp3bXdPenNDNjlaOEp2TmxBUTNkQ1N5LVRvX054dGY]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63/a_python_terminal_viewer_for_browsing_reddit/.json?sort=hot
  response:
    body:
      string: !!binary |
[encoded data, 12240 characters]
        R4PeWJerC6DcTJh++3+tudYP9/8AAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8230']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:58 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364058.452464,VS0,VE169']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=HnHIXADzltQfmFHxJ8.0.1505364058468.Z0FBQUFBQlp1Z2hhbUVnd042RG9DYmx0WG5yZ1hUZktOQmdVeTB1OGw1dkFKd1hwRVJKMXM2U2swZFBMMDc1a0Y3QlltTGdMMUowbE13dU9kUUJycUhCUm1EOEtMb3o4dG1Qb09rR0NfZnl6VXhjVTRoV2RvbWtkRTA3QXhjdDNtYmRDX0wtclFRUWc;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:58
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=1n8nzuKg3CnGq2j5or00GX4ipD2t1CDWc1U%2FoV%2BFrNcChNCplYj56UFDk7Prd5bRSQF7ck0V4tc%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=tMCxRkkquKLbjLkK0O; loid=00000000000drjg1r0.2.1505364057206.Z0FBQUFBQlp1Z2habkxjQzVIdVdiZTVsVkJOSmVkN2NROUNWZDN4OUZOdTgtUWNEMFVleFdiUjFIdWdxWG5kM2I3eVA1X01vdndVb1VmUWFvR0NqVS1Mc2txNXV4Zy1Fd00tblp2VTlVcmRob3ZmYXF1M18ya3BNcjhXUkFmS0lfTU01aVFNd19GR3Y;
          session_tracker=HnHIXADzltQfmFHxJ8.0.1505364058468.Z0FBQUFBQlp1Z2hhbUVnd042RG9DYmx0WG5yZ1hUZktOQmdVeTB1OGw1dkFKd1hwRVJKMXM2U2swZFBMMDc1a0Y3QlltTGdMMUowbE13dU9kUUJycUhCUm1EOEtMb3o4dG1Qb09rR0NfZnl6VXhjVTRoV2RvbWtkRTA3QXhjdDNtYmRDX0wtclFRUWc]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63/a_python_terminal_viewer_for_browsing_reddit/.json?sort=top
  response:
    body:
      string: !!binary |
[encoded data, 12240 characters]
        h8KHL/f/AAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8216']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:58 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364059.749258,VS0,VE167']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=HnHIXADzltQfmFHxJ8.0.1505364058768.Z0FBQUFBQlp1Z2hhVzJXakVaLXZ5TXNxek5QM1FlNUVxZ1pvMUQwSHZycWxPcjVZOHhFbFliOTBRNHkxb2lZcnVjN045bmM4N3VBdHcxUW5CX3VMaTBFSS1BZGNHbFM0N2tkSHAyUDJOOGVMYXpLLWhuNGJTejZ1OGNOZUJqZjFTNVlybW9tVHQzY3c;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:58
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=TBqk5x31zHZxyZekRk42Pq5U3IpMBL9mRYoTf7rvzWD0BfCYASTWIbZBogI86xSHE%2Ffs06IduLQ%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=tMCxRkkquKLbjLkK0O; loid=00000000000drjg1r0.2.1505364057206.Z0FBQUFBQlp1Z2habkxjQzVIdVdiZTVsVkJOSmVkN2NROUNWZDN4OUZOdTgtUWNEMFVleFdiUjFIdWdxWG5kM2I3eVA1X01vdndVb1VmUWFvR0NqVS1Mc2txNXV4Zy1Fd00tblp2VTlVcmRob3ZmYXF1M18ya3BNcjhXUkFmS0lfTU01aVFNd19GR3Y;
          session_tracker=HnHIXADzltQfmFHxJ8.0.1505364058768.Z0FBQUFBQlp1Z2hhVzJXakVaLXZ5TXNxek5QM1FlNUVxZ1pvMUQwSHZycWxPcjVZOHhFbFliOTBRNHkxb2lZcnVjN045bmM4N3VBdHcxUW5CX3VMaTBFSS1BZGNHbFM0N2tkSHAyUDJOOGVMYXpLLWhuNGJTejZ1OGNOZUJqZjFTNVlybW9tVHQzY3c]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63/a_python_terminal_viewer_for_browsing_reddit/.json?sort=rising
  response:
    body:
      string: !!binary |
[encoded data, 12240 characters]
        6I11uboAyt2E6bf/B9Cr8fX3/wAA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8229']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:59 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364059.018940,VS0,VE163']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=HnHIXADzltQfmFHxJ8.0.1505364059036.Z0FBQUFBQlp1Z2hiZlNlbVVCQTRRSnBINTE4WkNWUEdGMHF2bmJKU1JhWXlPWE5iSzJ2Q1V4cmJpMk9veUVIX0pYWm12OFo2clJQalR5X1Q3c2lXT2VPS2llcFcxWTU2bEhQY0RNSHpzUWY1OFdaVHZ0dDlHY0IwV3NoNnVWcEJ3MThXaEFYMzd6QVg;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:59
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=csLG0XfhlhRHXfQ5lUeUqX5vGyI%2FGMimpzOyNcYn0QR7rFd7HIBk%2BvL%2F5mPtzZIPKGh29sf1ZA0%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=tMCxRkkquKLbjLkK0O; loid=00000000000drjg1r0.2.1505364057206.Z0FBQUFBQlp1Z2habkxjQzVIdVdiZTVsVkJOSmVkN2NROUNWZDN4OUZOdTgtUWNEMFVleFdiUjFIdWdxWG5kM2I3eVA1X01vdndVb1VmUWFvR0NqVS1Mc2txNXV4Zy1Fd00tblp2VTlVcmRob3ZmYXF1M18ya3BNcjhXUkFmS0lfTU01aVFNd19GR3Y;
          session_tracker=HnHIXADzltQfmFHxJ8.0.1505364059036.Z0FBQUFBQlp1Z2hiZlNlbVVCQTRRSnBINTE4WkNWUEdGMHF2bmJKU1JhWXlPWE5iSzJ2Q1V4cmJpMk9veUVIX0pYWm12OFo2clJQalR5X1Q3c2lXT2VPS2llcFcxWTU2bEhQY0RNSHpzUWY1OFdaVHZ0dDlHY0IwV3NoNnVWcEJ3MThXaEFYMzd6QVg]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63/a_python_terminal_viewer_for_browsing_reddit/.json?sort=new
  response:
    body:
      string: !!binary |
[encoded data, 12325 characters]
        Sujb4XBi+lWjb/HvuvXt7/8Pm1qc0ff/AAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8291']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:59 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364060.715862,VS0,VE137']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=HnHIXADzltQfmFHxJ8.0.1505364059733.Z0FBQUFBQlp1Z2hiUnlqV2dYekZITHlYUXBfeHBIc2hTaGQtV3pRQjI3anlLc2JOQ0h4Ykl0eUt5NTRrN0FMcnBqWmpFSjdGTGZvajVQNXoyTlZsakFBbzZ0WnE4Y2ZzMDZUUlJfSzNaWlBuRmVXYzhCYVVWM19MQXZpNXhaQXNwbWEyTHNjdkdmYmc;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:59
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=TntS3vNtOHXD5yx7zQhu%2FMTCuyWFHNYNUS5RbPxY9W4uAhYT0Rw6jpbdAt1eGQ1eBb7J7EiL7t4%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=tMCxRkkquKLbjLkK0O; loid=00000000000drjg1r0.2.1505364057206.Z0FBQUFBQlp1Z2habkxjQzVIdVdiZTVsVkJOSmVkN2NROUNWZDN4OUZOdTgtUWNEMFVleFdiUjFIdWdxWG5kM2I3eVA1X01vdndVb1VmUWFvR0NqVS1Mc2txNXV4Zy1Fd00tblp2VTlVcmRob3ZmYXF1M18ya3BNcjhXUkFmS0lfTU01aVFNd19GR3Y;
          session_tracker=HnHIXADzltQfmFHxJ8.0.1505364059733.Z0FBQUFBQlp1Z2hiUnlqV2dYekZITHlYUXBfeHBIc2hTaGQtV3pRQjI3anlLc2JOQ0h4Ykl0eUt5NTRrN0FMcnBqWmpFSjdGTGZvajVQNXoyTlZsakFBbzZ0WnE4Y2ZzMDZUUlJfSzNaWlBuRmVXYzhCYVVWM19MQXZpNXhaQXNwbWEyTHNjdkdmYmc]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63/a_python_terminal_viewer_for_browsing_reddit/.json?sort=controversial
  response:
    body:
      string: !!binary |
[encoded data, 12240 characters]
        0+//D9qKDXj3/wAA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8220']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:00 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364060.264571,VS0,VE189']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=HnHIXADzltQfmFHxJ8.0.1505364060280.Z0FBQUFBQlp1Z2hjaW1oUDhLazN2OFp1N0Y1WnN1R3FkaXNIZFBaTld0bDA2WXpubE5SUkxuQ0ZCTUpCS3cxNmFZT3N6Q3BzSzhtWXBQWUozMV9VSDlTU3FiUGtFUVVuMFVpeEVNbmY3Sy00dTR2OFNqeVdSNTBNdllseXdVY2pDSmozVWdaQ2tuako;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:00
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=tzGIjishdDHN7wQFDV9LWUgY8gTkTVBJt%2B7zYwwDMWwQWn2M649rqBtHrmMmuP6XKqVz5PU7zAA%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
